## class UpdateColorCmd : public Command

> command class for updating colors of shapes.

## Inheritance:

### Public Classes

  enum | Type

### Public Methods

  | UpdateColorCmd (ShapeView *view, const string *color, Type t)
  virtual | ~UpdateColorCmd ()
  void | Execute ()
  void | UnExecute ()
  const char* | GetName () const
  List <GShape *> * | GetShapes () const
  List <string *> * | GetOldColors () const

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void TrackMouse(TrackType, Point*, Point*, Point*)
virtual void ReExecute()
virtual void Abort()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command class for updating colors of shapes.

`enum Type`

`UpdateColorCmd(ShapeView *view, const string *color, Type t)`

`virtual ~UpdateColorCmd()`

`void Execute()`

`void UnExecute()`

`const char* GetName() const`

`List <GShape *> * GetShapes() const`

`List <string *> * GetOldColors() const`

Direct child classes:
  UpdateTextColorCmd
  UpdateLineColorCmd
  UpdateFillColorCmd

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de